List recent webhook delivery attempts
import requests
url = "https://api.hydradb.com/webhooks/indexing/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hydradb.com/webhooks/indexing/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.hydradb.com/webhooks/indexing/deliveries \
--header 'Authorization: Bearer <token>'{
"data": {
"count": 12,
"deliveries": [
{
"attempts": 1,
"created_at": "2026-07-02T10:00:00Z",
"delivery_id": "dlv_9f8e7d6c",
"doc_id": "HydraDoc1234",
"error_code": "",
"error_message": "",
"event_type": "indexing.status_changed",
"indexing_status": "completed",
"status": "completed",
"updated_at": "2026-07-02T10:00:05Z"
}
],
"next_cursor": "eyJvZmZzZXQiOjUwfQ=="
},
"error": {
"code": "DATABASE_NOT_FOUND",
"message": "Database not found"
},
"meta": {
"collection": "team_docs",
"database": "acme_corp",
"latency_ms": 12.3,
"request_id": "9d13aef4-02f4-4e73-8c62-4c2601d04f9d",
"source_type": "file",
"sub_tenant_id": "sub_tenant_4567",
"tenant_id": "tenant_1234"
},
"success": true
}Webhooks
List Deliveries
List webhook delivery attempts for your workspace.
GET
/
webhooks
/
indexing
/
deliveries
List recent webhook delivery attempts
import requests
url = "https://api.hydradb.com/webhooks/indexing/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hydradb.com/webhooks/indexing/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.hydradb.com/webhooks/indexing/deliveries \
--header 'Authorization: Bearer <token>'{
"data": {
"count": 12,
"deliveries": [
{
"attempts": 1,
"created_at": "2026-07-02T10:00:00Z",
"delivery_id": "dlv_9f8e7d6c",
"doc_id": "HydraDoc1234",
"error_code": "",
"error_message": "",
"event_type": "indexing.status_changed",
"indexing_status": "completed",
"status": "completed",
"updated_at": "2026-07-02T10:00:05Z"
}
],
"next_cursor": "eyJvZmZzZXQiOjUwfQ=="
},
"error": {
"code": "DATABASE_NOT_FOUND",
"message": "Database not found"
},
"meta": {
"collection": "team_docs",
"database": "acme_corp",
"latency_ms": 12.3,
"request_id": "9d13aef4-02f4-4e73-8c62-4c2601d04f9d",
"source_type": "file",
"sub_tenant_id": "sub_tenant_4567",
"tenant_id": "tenant_1234"
},
"success": true
}Returns the delivery history for your workspace, most recent first. Use it to investigate events that never arrived, or that arrived more than once.
Filter by
See Webhooks for retry behaviour.
status to isolate failures, and page through results with limit and cursor.
| State | Meaning |
|---|---|
pending | Recorded and waiting to be sent. |
sweeping | Claimed for delivery or retry. |
delivered | Your endpoint returned a 2xx. |
failed | An attempt failed and will be retried. |
permanently_failed | Retries are exhausted. No further attempts. |
Authorizations
API key sent as a Bearer token: "Bearer prefix.secret"
Query Parameters
Max deliveries to return
Pagination cursor
Filter by delivery status
Response
200 - application/json
OK
Show child attributes
Show child attributes
Example:
{
"count": 12,
"deliveries": [
{
"attempts": 1,
"created_at": "2026-07-02T10:00:00Z",
"delivery_id": "dlv_9f8e7d6c",
"doc_id": "HydraDoc1234",
"error_code": "",
"error_message": "",
"event_type": "indexing.status_changed",
"indexing_status": "completed",
"status": "completed",
"updated_at": "2026-07-02T10:00:05Z"
}
],
"next_cursor": "eyJvZmZzZXQiOjUwfQ=="
}
Error message, empty string on success.
Show child attributes
Show child attributes
Example:
{
"code": "DATABASE_NOT_FOUND",
"message": "Database not found"
}
Show child attributes
Show child attributes
Example:
{
"collection": "team_docs",
"database": "acme_corp",
"latency_ms": 12.3,
"request_id": "9d13aef4-02f4-4e73-8c62-4c2601d04f9d",
"source_type": "file",
"sub_tenant_id": "sub_tenant_4567",
"tenant_id": "tenant_1234"
}
Whether the request succeeded.
Example:
true
Was this page helpful?
